summaryrefslogtreecommitdiffstats
path: root/src/gallium/drivers/panfrost
diff options
context:
space:
mode:
authorTomeu Vizoso <[email protected]>2019-08-19 16:40:53 +0200
committerTomeu Vizoso <[email protected]>2019-08-21 16:41:56 +0200
commita074513dc2e82eeb6c80b35f4be7be6fde403d38 (patch)
tree2413eeaa4124163eead8aa5b676e6340a3f1ee43 /src/gallium/drivers/panfrost
parent76af465e57bbf3b29e0ac5288dae1d31791f6990 (diff)
panfrost/ci: Print bootstrap log
A number of things can go wrong when building the rootfs from within a non-native chroot, so make sure to print the bootstrap.log so we can tell what's going on. Signed-off-by: Tomeu Vizoso <[email protected]> Reviewed-by: Alyssa Rosenzweig <[email protected]>
Diffstat (limited to 'src/gallium/drivers/panfrost')
-rw-r--r--src/gallium/drivers/panfrost/ci/debian-install.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/src/gallium/drivers/panfrost/ci/debian-install.sh b/src/gallium/drivers/panfrost/ci/debian-install.sh
index 816b616b491..09f3319628c 100644
--- a/src/gallium/drivers/panfrost/ci/debian-install.sh
+++ b/src/gallium/drivers/panfrost/ci/debian-install.sh
@@ -151,7 +151,10 @@ rm -rf /kernel
############### Create rootfs
cp ${PANFROST_CI_DIR}/create-rootfs.sh /artifacts/rootfs/.
+set +e
debootstrap --variant=minbase --arch=${DEBIAN_ARCH} testing /artifacts/rootfs/ http://deb.debian.org/debian
+cat /artifacts/rootfs/debootstrap/debootstrap.log
+set -e
chroot /artifacts/rootfs sh /create-rootfs.sh
rm /artifacts/rootfs/create-rootfs.sh